import request from '/@/utils/request';

/**
 * @summary GetMonitorInterruptAlarmConfigureByMonitorPointID
 */
export const GetMonitorInterruptAlarmConfigureByMonitorPointID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Interrupt/Alarm/Configure/GetByMonitorPointID@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 获取所有测点中断报警配置
 */
export const GetAllMonitorInterruptAlarmConfigure = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Interrupt/Alarm/Configure/GetByMonitorPointID@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 添加一个测点中断报警配置
 */
export const InsertAMonitorInterruptAlarmConfigure = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Interrupt/Alarm/Configure/Insert@V1.0',
		method: 'post',
		data,
	});
};

/**
 * @summary 修改一个测点中断报警配置
 */
export const UpdateAMonitorInterruptAlarmConfigure = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Interrupt/Alarm/Configure/Update@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 修改测点中断报警配置排序码
 */
export const UpdateMonitorInterruptAlarmConfigureSorter = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Interrupt/Alarm/Configure/UpdateSorter@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 更新测点中断报警配置使用状态
 */
export const UpdateMonitorInterruptAlarmConfigureUseStatus = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Interrupt/Alarm/Configure/UpdateUseStatus@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 删除一个测点中断报警配置
 */
export const DeleteAMonitorInterruptAlarmConfigure = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Interrupt/Alarm/Configure/DeleteByID@V1.0',
		method: 'delete',
		params,
	});
};
